#include "dmpregistration.h"

BOOST_CLASS_EXPORT_IMPLEMENT(DMP::ODE)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::DMPInterface)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::Distance)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::PoseDistance)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::DistancePtr)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::DMPState)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::DMPInterfaceTemplate<DMP::DMPState>)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::BasicDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::SimpleEndVeloDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::DMP3rdOrder)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::EndVeloDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::ForceFieldDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::QuaternionDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::DualQuaternionDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::EndVeloForceFieldDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::AdaptiveGoal3rdOrderDMP)
//BOOST_CLASS_EXPORT_IMPLEMENT(DMP::PeriodicTransientDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::PeriodicDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::TaskSpaceDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::UMIDMP)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::UMITSMP)

BOOST_CLASS_EXPORT_IMPLEMENT(DMP::CanonicalSystem)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::LinearCanonicalSystem)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::LinearDecayCanonicalSystem)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::LinearSigmoidalCanonicalSystem)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::SolvedCanonicalSystem)
BOOST_CLASS_EXPORT_IMPLEMENT(DMP::PeriodicCanonicalSystem)
